> [!WARNING]
>
> **Preview**
>
>
> This product or feature is
>
> subject to the "Pre-GA Offerings Terms" in the General Service Terms section
> of the [Service Specific
> Terms](https://docs.cloud.google.com/terms/service-terms#1).
>
> Pre-GA products and features are available "as is" and might have limited support.
>
> For more information, see the
> [launch stage descriptions](https://cloud.google.com/products/#product-launch-stages).

- [HTTP request](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.schemaRegistries/list.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.schemaRegistries/list.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.schemaRegistries/list.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.schemaRegistries/list.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.schemaRegistries/list.md.txt#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.schemaRegistries/list.md.txt#body.ListSchemaRegistriesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.schemaRegistries/list.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.schemaRegistries/list.md.txt#body.aspect_1)
- [SchemaRegistryView](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.schemaRegistries/list.md.txt#SchemaRegistryView)
- [Try it!](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.schemaRegistries/list.md.txt#try-it)

List schema registries.

### HTTP request

`GET https://managedkafka.googleapis.com/v1/{parent=projects/*/locations/*}/schemaRegistries`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent whose schema registry instances are to be listed. Structured like: `projects/{project}/locations/{location}` |

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum (`SchemaRegistryView`)`` Optional. Specifies the view to return for the schema registry instances. If not specified, the default view is SCHEMA_REGISTRY_VIEW_BASIC. |

### Request body

The request body must be empty.

### Response body

Request for schemaRegistries.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "schemaRegistries": [ { object (`SchemaRegistry`) } ] } ``` |

| Fields ||
|---|---|
| `schemaRegistries[]` | ``object (`SchemaRegistry`)`` The schema registry instances. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `managedkafka.schemaRegistries.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## SchemaRegistryView

View for SchemaRegistry.

| Enums ||
|---|---|
| `SCHEMA_REGISTRY_VIEW_UNSPECIFIED` | The unset value. The API will default to SCHEMA_REGISTRY_VIEW_BASIC. |
| `SCHEMA_REGISTRY_VIEW_BASIC` | If SchemaRegistryView is not specified, this is the default value. Returns only the name of the schema registry. The contexts associated with it are not included. |
| `SCHEMA_REGISTRY_VIEW_FULL` | Returns the name of the schema registry and all the contexts associated with it. |